Package org.github.jamm.accessors

# Interface FieldAccessor

public interface FieldAccessor
Utility to retrieve `Field` values.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getFieldValue(Object object, Field field)`
Returns the field value for the given object
`static FieldAccessor`
`newInstance()`
Returns the `FieldAccessor` instance suitable for the JDK running this code.

## Method Details

### getFieldValue

Object getFieldValue(Object object, Field field)
Returns the field value for the given object

Parameters:
  `object` - the object for which the field value must be returned
  `field` - the field to access
Returns:
  the field value for the given object

### newInstance

static FieldAccessor newInstance()
Returns the `FieldAccessor` instance suitable for the JDK running this code.

Returns:
  a `FieldAccessor` instance